<template>
  <div class="v-app">
    <loading v-model:active="isLoading" :can-cancel="true" :on-cancel="onCancel" :is-full-page="isFullPage" />
    <router-view />
  </div>
</template>

<script>
import Loading from 'vue-loading-overlay';
import 'vue-loading-overlay/dist/vue-loading.css';
import { mapState } from 'vuex';

export default {
  name: 'App',
  components: {
    Loading
  },
  computed: {
    ...mapState(['isLoading', 'isFullPage'])
  },

}
</script>


